Subject: Re: Regarding consistent_alloc

From: Dan Malek <[email-masked]>
Date: Wed, 11 Dec 2002 22:32:21 -0500

[email-masked] wrote:

> As for a iova() routine, ioremap() will return a previously configured
> virtual address when asked to map the same physical memory space.

No, it does not.  The ioremap() may do this in some cases on processors
that use BATs for large space mapping, but it usually (always on 8xx)
allocates new virtual space when mapping a physical address.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/